al_get_haptic_capabilities(3)

NAME

al_get_haptic_capabilities - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_get_haptic_capabilities(ALLEGRO_HAPTIC *hap)

DESCRIPTION

Returns an integer with or'ed values from ALLEGRO_HAPTIC_CONSTANTS(3), which, if set, indicate that the haptic device supports the given feature.

SINCE

5.1.8

    [Unstable API]: Perhaps could be simplified due to limited support for all the exposed features across all of the platforms. Awaiting feedback from users.